Update a workflow run
PATCH/v1/workflows/runs/:identifier
Update the markdown summary of a workflow run. Each update replaces the previous summary.
To learn more about workflows, see the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string",
"pattern": "^wfr_[a-zA-Z0-9]{16}$"
},
"in": "path",
"name": "identifier",
"required": true,
"description": "The unique identifier of the workflow run to update."
}
]
}Request body schema (JSON)
{
"title": "Body",
"body": {
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"summary": {
"nullable": true,
"description": "A markdown summary of the workflow run, replacing any previous summary. Pass null or an empty string to clear it.",
"type": "string",
"maxLength": 10000
}
},
"required": [
"summary"
],
"additionalProperties": false
}
}
},
"required": true
}
}Responses
- 200
- 403
- 404
- 422
- 500
Default Response
Default Response
Default Response
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
}
},
"required": [
"ok"
],
"additionalProperties": false
}
}
}
},
"403": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
},
"404": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
},
"422": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
}
}
}